Bug 137137 - modulus of a pasted number is always 0
Summary: modulus of a pasted number is always 0
Status: RESOLVED FIXED
Alias: None
Product: kcalc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Klaus Niederkrüger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-10 03:19 UTC by Josh Metzler
Modified: 2007-01-05 02:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Metzler 2006-11-10 03:19:05 UTC
Version:           2.0.5 (using KDE 3.5.5, Debian Package 4:3.5.5a.dfsg.1-1 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.17-1-686

Copy the 10 in this sentence and paste it into kcalc.  Hit "Mod" and "3", then "=".  It will display 0, though 10 mod 3 is obviously 1.  kcalc reports 0 for any mod operation where the first number is pasted.
Comment 1 Philip Rodrigues 2006-11-11 22:30:55 UTC
Confirmed on r582183 (hrm, that's a bit old now)
Comment 2 Klaus Niederkrüger 2007-01-05 02:20:18 UTC
Just fixed this in the sourcecode for KDE-3.5.6. Thanks a lot for reporting it!!

Klaus